Update Organization
curl --request PUT \
--url https://api.sandbox.metriport.com/medical/v1/organization/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"type": "<string>",
"location": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
}
}
'import requests
url = "https://api.sandbox.metriport.com/medical/v1/organization/{id}"
payload = {
"name": "<string>",
"type": "<string>",
"location": {
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
type: '<string>',
location: {
addressLine1: '<string>',
addressLine2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>'
}
})
};
fetch('https://api.sandbox.metriport.com/medical/v1/organization/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { Metriport, OrgType, USState } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const org = await metriport.updateOrganization({
id: "018a80c4-292a-7486-a1234-7uwe234ert90",
type: OrgType.postAcuteCare,
name: "Metriport Inc.",
location: {
addressLine1: "2261 Market Street",
addressLine2: "#4818",
city: "San Francisco",
state: USState.CA,
zip: "94114",
country: "USA",
},
});
Update Organization
Updates your Organization’s details.
PUT
/
medical
/
v1
/
organization
/
{id}
Update Organization
Path Params
string
required
The ID of your organization.
Body
string
required
The name of your organization. This is usually your legal corporate entity name - for example
Metriport Inc..string
required
The type of your organization, can be one of:
acuteCare, ambulatory, hospital, labSystems,
pharmacy, postAcuteCare.Address
required
Response
string
required
The ID assigned to your organization. This ID will be used to uniquely identify your
organization in medical documents.
string
required
The OID assigned to this Organization.
string
required
The name of your organization. This is usually your legal corporate entity name - for example
Metriport Inc..string
required
The type of your organization, can be one of:
acuteCare, ambulatory, hospital, labSystems,
pharmacy, postAcuteCare.Address
required
import { Metriport, OrgType, USState } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const org = await metriport.updateOrganization({
id: "018a80c4-292a-7486-a1234-7uwe234ert90",
type: OrgType.postAcuteCare,
name: "Metriport Inc.",
location: {
addressLine1: "2261 Market Street",
addressLine2: "#4818",
city: "San Francisco",
state: USState.CA,
zip: "94114",
country: "USA",
},
});
{
"id": "018a80c4-292a-7486-a1234-7uwe234ert90",
"oid": "2.16.840.1.113883.3.666.123",
"type": "postAcuteCare",
"name": "Metriport Inc.",
"location": {
"addressLine1": "2261 Market Street",
"addressLine2": "#4818",
"city": "San Francisco",
"state": "CA",
"zip": "94114",
"country": "USA"
}
}
⌘I

